interface_struct Struct Reference

`#include <listener.h>`

## Data Fields

char * | port
char * | address
int | family
union acl_addr_storage | addr

## Detailed Description

Definition at line 69 of file listener.h.

## Field Documentation

## addr

union acl_addr_storage interface_struct::addr

Definition at line 73 of file listener.h.

Referenced by listener_push().

## address

char* interface_struct::address

Definition at line 71 of file listener.h.

Referenced by engine_config_print(), interface_cleanup(), listener_push(), and sock_listen().

## family

int interface_struct::family

Definition at line 72 of file listener.h.

Referenced by listener_push(), and sock_listen().

## port

char* interface_struct::port

Definition at line 70 of file listener.h.

Referenced by engine_config_print(), interface_cleanup(), listener_push(), and sock_listen().

The documentation for this struct was generated from the following file:

- src/wire/listener.h